org.jfree.data.function

## Class PowerFunction2D

- java.lang.Object
- - org.jfree.data.function.PowerFunction2D

All Implemented Interfaces:
  java.io.Serializable, Function2D

    public class PowerFunction2D
    extends java.lang.Object
    implements Function2D, java.io.Serializable

A function of the form y = a * x ^ b.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PowerFunction2D(double a, double b)` Creates a new power function.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this function for equality with an arbitrary object.
`double` `getA()` Returns the 'a' coefficient that was specified in the constructor.
`double` `getB()` Returns the 'b' coefficient that was specified in the constructor.
`double` `getValue(double x)` Returns the value of the function for a given input ('x').
`int` `hashCode()` Returns a hash code for this instance.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PowerFunction2D

    public PowerFunction2D(double a,
                   double b)

Creates a new power function.

Parameters:
  `a` - the 'a' coefficient.
  `b` - the 'b' coefficient.

### Method Detail

#### getA

    public double getA()

Returns the 'a' coefficient that was specified in the constructor.

Returns:
  The 'a' coefficient.
Since:
  1.0.14

#### getB

    public double getB()

Returns the 'b' coefficient that was specified in the constructor.

Returns:
  The 'b' coefficient.
Since:
  1.0.14

#### getValue

    public double getValue(double x)

Returns the value of the function for a given input ('x').

Specified by:
  `getValue` in interface `Function2D`
Parameters:
  `x` - the x-value.
Returns:
  The value.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this function for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.